<?php 
session_start();
// echo '<meta http-equiv="refresh" content="5">';
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
if(empty($user_codigo)){include('user_login0.php');die();}

if(empty($user0['user_tipo'])){$cost='false';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}


$modu='inve';
// $info='iilabl';

$info_descri='ETIQUETAS';
if($info=='iilabl'){$info_descri='Etiquetas';}

// if($info=='llinfi'){$cost='false';}
// if($info=='llinfi'){$item='';}
// if($info=='bbkrdx'){$item='';$tbod='';$lsub='';$lote='';$mrca='';$clor='';$mdlo='';}

if(!empty($item))
{
     $sql_lsub='select * from item0 where item_codigo="'.$item.'"';
     $res_lsub=msql_query($sql_lsub,$link_data);
     if(msql_num_rows($res_lsub)==1){$lsub=msql_result($res_lsub,0,'item_lsub');}
}

if($info=='iilabl' and empty($lsub) and empty($item))
{
     $sql_lsub='select ';
     $sql_lsub.='count(item_lsub) as conta,item_lsub ';
     $sql_lsub.='from inve1 ';
     $sql_lsub.='left join inve2 on idnum1=idnum2 ';
     $sql_lsub.='left join item0 on item=item_codigo ';
     $sql_lsub.='left join bode0 on bode=bode_codigo ';
     $sql_lsub.='where status not in ("O","X") ';
     $sql_lsub.='and bode_tipo like "D%" ';
     if($cfg_empr=='hfre')
     {$sql_lsub.='and item_lsub like "INAG%" ';}
     $sql_lsub.='group by item_lsub ';
     $sql_lsub.='order by conta desc ';
     $sql_lsub.='limit 1 ';
     $res_lsub=msql_query($sql_lsub,$link_data);
     $lsub=msql_result($res_lsub,0,'item_lsub');
}

if($info=='iikrdx')
{
//      $sql_krdx ='select * ';
//      $sql_krdx.='from item0 ';
//      $sql_krdx.='where item_status not in("I","X") ';
//      if(!empty($item)){$sql_krdx.='and (item_codigo like "'.$item.'%" or item_ean like "'.$item.'%" or item_codigov like "'.$item.'%"  or item_descri like "%'.$item.'%")';}
//      if(!empty($lsub)){$sql_krdx.='and item_lsub like "'.$lsub.'%" ';}
//      if(!empty($mrca)){$sql_krdx.='and item_mrca like "'.$mrca.'%" ';}
     
//      if(mb_stristr($orden,'Código')){$xorderby='order by item_codigo ';}
//      if(mb_stristr($orden,'Nombre')){$xorderby='order by item_descri,item_codigo ';}
//      if(mb_stristr($orden,'Linea')){$xorderby='order by item_lsub,item_descri,item_codigo ';}
     
//      $sql_krdx.=$xorderby;
//      $res_krdx=msql_query($sql_krdx,$link_data);
}

if($info=='bbkrdx')
{
//      $sql_krdx ='select * ';
//      $sql_krdx.='from bode0 ';
//      $sql_krdx.='where bode_status not in("I","X") ';
//      if(!empty($bode)){$sql_krdx.='and bode_codigo="'.$bode.'" ';}
//      if(!empty($tbod)){$sql_krdx.='and left(bode_tipo,1)="'.substr($tbod,0,1).'" ';}
     
//      $xorderby='order by bode_tipo,bode_codigo ';
//      if(mb_stristr($orden,'Código')){$xorderby='order by bode_tipo,bode_codigo ';}
//      if(mb_stristr($orden,'Nombre')){$xorderby='order by bode_tipo,bode_descri,bode_codigo ';}
// //      if(mb_stristr($orden,'Linea')){$xorderby='order by bode_lsub,item_descri,item_codigo ';}
     
//      $sql_krdx.=$xorderby;
//      $res_krdx=msql_query($sql_krdx,$link_data);
}

// echo '<br>*/*/'.$sql_krdx;

// $docu0=data_maes('docu',$docu);
// $enti0=data_maes('enti',$enti);
$item0=data_maes('item',$item);
// $ctas0=data_maes('ctas',$ctas);
$lsub0=data_maes('lsub',$lsub);
$bode0=data_maes('bode',$bode);
// $csub0=data_maes('csub',$csub);
$lote0=data_maes('lote',$lote);

$modu=strtolower($modu);
// $tabla=$modu;

// if(@mb_stristr('clie.prov.empl',$modu)){$tabla='enti';}
// if(@mb_stristr('inve.prec.teki',$modu)){$tabla='item';}

$xtitulo='ETIQUETAS';
if($modu=='inve'){$xtitulo='ETIQUETAS';}
// if($modu=='vtas'){$xtitulo='VENTAS';}

$fecha0=fecha0($modu);
if(empty($fecha1)){$fecha1=date('Y-m-d',strtotime($fecha0.' +1 day'));}
if(empty($fecha2)){$fecha2=date('Y-m-d');}
if(empty($fecha1)){$fecha1=date('Y-m-01', strtotime($fecha2));}
if($fecha1>$fecha2 and $fecha1<date('Y-m-01')){$fecha2=date('Y-m-t', strtotime($fecha1));}
if($fecha1>$fecha2){$fecha1=date('Y-m-01', strtotime($fecha2));}

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

//      $src='//'.$domain.'/_lib/info_modu.js'.$js_version;
//      $script=$dom->appendChild($dom->createElement("script"," "));
//      $script->setAttribute("src",$src);
echo $dom->saveXML();

//  SELECT DB
include('sele_info.php');
if(!empty($sql_info))
{
     $res_info=msql_query($sql_info,$link_data);
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
}


// PANTALLA FILTROS
$sql_tbod='select distinct bode_tipo from bode0 where bode_status not in("I","X") and bode_tipo!="" and bode_tipo is not null';
$res_tbod=msql_query($sql_tbod,$link_data);
if(msql_num_rows($res_tbod)>1){$tbod_ok=1;}

$sql_imgi='select * from item0 left join imgi0 on item_codigo=imgi_item where item_status not in ("I","X") and imgi_status not in("I","X") limit 1';
$res_imgi=msql_query($sql_imgi,$link_data);
if(msql_num_rows($res_imgi)!=0){$imgi_ok=1;}

$sql_mrca='select * from mrca0 where mrca_status not in("I","X") limit 1';
$res_mrca=msql_query($sql_mrca,$link_data);
if(msql_num_rows($res_mrca)!=0){$mrca_ok=1;}

$sql_lote='select * from lote0 where lote_status not in("I","X") limit 1';
$res_lote=msql_query($sql_lote,$link_data);
if(msql_num_rows($res_lote)!=0){$lote_ok=1;}

echo '<div id="filtros" noprint >';
{
// OCULTOS
// echo '<input id="format" hide value="'.$format.'">';
// echo '<input id="limit" hide value="'.$limit.'">';
// echo '<input id="modu" hide value="inve">';
echo '<input id="info" hide value="iilabl">';
     
{$ztitulo='FILTROS'; include('ele_title.php');}

// $ztabla='ctas';
// include('ele_datalist.php');
     
// $ztabla='enti';
// //           $zwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1 union select distinct left(enti,10) from clie1))';
// include('ele_datalist.php');
     
$ztabla='item';
include('ele_datalist.php');
     
$ztabla='lote';
include('ele_datalist.php');
     
// $thisfile=basename(__FILE__,'.php');     
     
// $zid='modu';
// $ztabla='modu';
// $zlabel='Módulo';
// $zvalue=$modu; 
// if(!empty($modu)){$zreado=1;}
// $zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&modu="+document.getElementById("modu").value;}';
// $zonchange='{location.href="?scri='.basename(__FILE__,'.php').'&modu="+document.getElementById("modu").value;}';
// include('ele_select.php');
   
// $zid='info';
// $zlabel='Informe';
// $zvalue=$info;
// $zhide=1;     
// if($modu=='inve')
// {
//      $zoptions='';
//      $zoptions.='iilabl,Etiquetas;';     
//      include('ele_select.php');
// }
     
     
$zid='lbsz';
$zlabel='Tamaño';
$zvalue=$lbsz;
if($modu=='inve')
{
     $zoptions='';
     $zoptions.='210X148,A5 Horizontal;';     
     $zoptions.='148X105,A6 Horizontal;';     
     include('ele_select.php');
}
     
     
    
// $zid='fecha1';
// $ztype='date';
// $zlabel='Fec.Ini.';
// $zvalue=$fecha1;
// $zdefa=$fecha0;     
// include('ele_input.php');  
     
// $zid='fecha2';
// $ztype='date';
// $zlabel='Fec.Fin';
// $zvalue=$fecha2;     
// include('ele_input.php');  

$zobj=1;     
include('ele_break.php');
     
if(@mb_stristr('inve',$modu))
{
     if($tbod_ok==1)
     {
          $zid='tbod';
          $zlabel='T.Bod.';
          $zvalue=$tbod;
          $ztodo=1;
          $zoptions='D,DISPO;N,NO-DIS';
          $ztabla='bode';
          include('ele_select.php');
     }

     $zid='bode';
     $zlabel='Bodega';
     $ztodo=1;
     $zvalue=$bode;
     $ztabla='bode';
     include('ele_select.php');
}     
     
if(@mb_stristr('vtas.inve',$modu))
{
     $zid='lsub';
     $zlabel='Linea';
     $zvalue=$lsub;
     $ztabla='lsub';
     $ztodo=1;
     include('ele_select.php');

     $zid='item';
     $zlabel='Item';
     $zvalue=$item;
     $ztabla='item';
     $zopen=1;
     include('ele_input.php');

     if($mrca_ok==1)
     {
          $zid='';
          $zlabel='Marca';
          $zvalue=$mrca;
          $ztabla='mrca';
          $ztodo=1;
          include('ele_select.php');
     }
     
     if($lote_ok==1)
     {
          $zid='lote';
          $zlabel='Lote';
          $zvalue=$lote;
          $ztabla='lote';
          include('ele_input.php');
     }
}

if(@mb_stristr('inve',$modu))
{
     $zid='precio';
     $zlabel='Precio';
     $zvalue=$precio;
//      $zheptav=1;
//      $zonchange='{info_modu(event);}';
     $zoptions='';
     $zoptions.='0,Ninguno;';     
     $zoptions.='pvp1,PVP 1;';     
     $zoptions.='pvp2,PVP 2;';     
     $zoptions.='pvp3,PVP 3;';     
     $zoptions.='pvp4,PVP 4;';     
     $zoptions.='pvp5,PVP 5;';     
     include('ele_select.php');  
     
//      $zid='cero';
//      $zlabel='Cero';
//      $zvalue=$cero;
//      $zclass='numeric-dec';
//      $zmax=1;
//      $zmin=0;
//      $zstep=0.01;
//      $zhide=1;
//      include('ele_input.php');
     
     {
//           $zid='stock';
//           $ztype='checkbox';
//           $zlabel='Stock';
//           $zvalue=$stock;
//           include('ele_input.php');  
     }
     
//      $zid='cost';
//      $ztype='checkbox';
//      $zlabel='Costo$';
//      $zvalue=$cost;
//      include('ele_input.php');  
     
     
     if($imgi_ok==1)
     {
     $zid='imgi';
     $ztype='checkbox';
     $zlabel='Imagen';
     $zvalue=$imgi;
     include('ele_input.php');  
     }
     
}     
     
$zid='btn_acepta'; 
$zlabel='Aceptar';
$zalign='right';
$zonclick='{info_modu(event);}';
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     

include('ele_break.php');

// TITULO     
{
$ztitulo=$xtitulo;     
include('ele_title.php');
     $zid='orden';
     $zvalue=$orden;
     $zlabel='Ordenar X';
     // $zoptions='Código;Nombre (A-Z);';
     $zoptions='';
     if($modu=='inve')     
     {
          $zoptions.='Linea;';
     }     
     if($modu=='vtas')     
     {
          $zoptions.='Zona;';
          $zoptions.='Linea;';
     }
     if($modu=='comp')     
     {
          $zoptions.='T.Prov.;';
          $zoptions.='CAIR;';
     }
     $zoptions.='Código;';
     $zoptions.='Nombre;';


     $zonchange='{info_modu(event);}';
     $zalign='right';
     include('ele_select.php');

}
     
     

}     
include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;
if($info=='iikrdx')
{
     $sql_orig=$sql_info;
     $sql_array=array();
     $sql_idx=0;
     while($aso_krdx=msql_fetch_assoc($res_krdx))
     {
          $sql_idx++;
          if(empty($item))
          {$sql_info=str_replace('where ','where item="'.$aso_krdx['item_codigo'].'" and ',$sql_orig);}
          if(!empty($item))
          {$sql_info=str_replace($item.'%',$aso_krdx['item_codigo'].'%',$sql_orig);}
          $sql_array[$sql_idx]=$sql_info;
     }
}

if($info=='bbkrdx')
{
     $sql_orig=$sql_info;
     $sql_array=array();
     $sql_idx=0;
     while($aso_krdx=msql_fetch_assoc($res_krdx))
     {
          $sql_idx++;
          if(empty($bode))
          {$sql_info=str_replace('where ','where bode="'.$aso_krdx['bode_codigo'].'" and ',$sql_orig);}
          if(!empty($bode))
          {$sql_info=str_replace($bode.'%',$aso_krdx['bode_codigo'].'%',$sql_orig);}
          $sql_array[$sql_idx]=$sql_info;
     }
}

for($idx=1; $idx<=$sql_idx; $idx++)
{
     
     if($info=='iikrdx'){$res_info=msql_query($sql_array[$idx],$link_data);}
     if($info=='iikrdx' and msql_num_rows($res_krdx)>1 and msql_num_rows($res_info)==0){continue;}     

     if(gettype($res_info)!='NULL')
     {

          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=1;
          include('ele_grid.php');     
          
          if($info=='iikrdx')
          {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}
     }
     
}


if(1==2)
{
     
msql_data_seek($res_info);
while($aso_item=msql_fetch_assoc($res_info))
{
          $zid=$aso_item['item'];
          $ztabla='item';
//           $zprecio=$lpre;
          $zcodigo=$aso_item['item'];
          if(empty($zcodigo)){$zcodigo=$aso_item['item_mdlo'];}
          if(empty($zcodigo)){$zcodigo=$aso_item['item_codigo'];}
//           $zstockv=3;
          if(mb_stristr('gnya.gmny',$cfg_empr) and !esMovil()){$zobj=4;}
          if(mb_stristr('gnya.gmny',$cfg_empr)){$zstockv=0;}
          if(mb_stristr('orel.imcp',$cfg_empr)){$zfixh=1;}
          if($format==4){$zobj=5; $zstockv=0;}
//           $ztotpvp=$aso_item['total']; 
//           $zbode=$bode;
//           $zcarr=1;
          if($format==5)
          {
//                $zcarr=0;
//                $zupld=1;
//                $zobj=2;
          }
          include('ele_image.php');  
     
}

}




echo '</div>';     

?>

<script>
function info_modu(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;

     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
     
//      var datapost;
//      datapost=new_FormData('filtros','post');
//      datapost.append('script','prueba2');
//      exe_ajax(datapost);
     
}
</script>





<script>document.title="<?php echo $xtitulo.' - '.$info_descri;?>"</script>


